#-------------------------------------------------------------------------------
MACRO (JPEG_SET_LIB_OPTIONS libtarget libname libtype)
  # message (STATUS "${libname} libtype: ${libtype}")
  HDF_SET_LIB_OPTIONS (${libtarget} ${libname} ${libtype})

  if (${libtype} MATCHES "SHARED")
    if (WIN32)
      set (LIBJPEG_VERSION ${JPEG_PACKAGE_VERSION_MAJOR})
    else (WIN32)
      set (LIBJPEG_VERSION ${JPEG_PACKAGE_VERSION})
    endif (WIN32)

    if (NOT CYGWIN)
      # This property causes shared libraries on Linux to have the full version
      # encoded into their final filename.  We disable this on Cygwin because
      # it causes cygjpeg-${JPEG_FULL_VERSION}.dll to be created when cygjpeg.dll
      # seems to be the default.
      set_target_properties (${libtarget} PROPERTIES VERSION ${LIBJPEG_VERSION})
    endif (NOT CYGWIN)
    set_target_properties (${libtarget} PROPERTIES SOVERSION ${LIBJPEG_VERSION})
  endif (${libtype} MATCHES "SHARED")

  #-- Apple Specific install_name for libraries
  if (APPLE)
    option (JPEG_BUILD_WITH_INSTALL_NAME "Build with library install_name set to the installation path" OFF)
    if (JPEG_BUILD_WITH_INSTALL_NAME)
      set_target_properties (${libtarget} PROPERTIES
          LINK_FLAGS "-current_version ${JPEG_PACKAGE_VERSION} -compatibility_version ${JPEG_PACKAGE_VERSION}"
          INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
          BUILD_WITH_INSTALL_RPATH ${JPEG_BUILD_WITH_INSTALL_NAME}
      )
    endif (JPEG_BUILD_WITH_INSTALL_NAME)
  endif (APPLE)

ENDMACRO (JPEG_SET_LIB_OPTIONS)

